%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-tripleoclient
Version:        9.2.1
Release:        12%{?dist}
Summary:        OpenstackClient plugin for tripleoclient

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-tripleoclient
Source0:        https://tarballs.openstack.org/python-tripleoclient/python-tripleoclient-%{version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=9.2.1
Patch0001: 0001-setup.cfg-whitespace-changes.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Always-include-docker-environment-fi.patch
Patch0003: 0003-Introduce-Ceph-upgrade-command.patch
Patch0004: 0004-Use-only-update-upgrade-ansible-queue-instead.patch
Patch0005: 0005-Q-upgrade-fixup-completion-messages-and-help-doctext.patch
Patch0006: 0006-Add-warning-required-confirm-for-ffwd-upgrade-cli-ye.patch
Patch0007: 0007-Add-stack-to-update-upgrade-and-ffwd-upgrade-run-CLI.patch
Patch0008: 0008-Stop-trying-to-converge-during-Ceph-upgrade-command.patch
Patch0009: 0009-Regenerate-overcloudrc-on-upgrade-and-ffwd-upgrade-p.patch
Patch0010: 0010-Add-ssh-user-to-get_tripleo_ansible_inventory.patch
Patch0011: 0011-Update-Heat-stack-on-update-upgrade-ffwd-converge.patch
Patch0012: 0012-Add-.deployment.v1.deploy_on_servers-to-ffwd-upgrade.patch
Patch0013: 0013-Refactor-fix-ansible-inventory-method-parameters-for.patch
Patch0014: 0014-Composable-role-and-service-fails-workflow.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-pbr
BuildRequires:  python2-setuptools
# testing requirements
BuildRequires:  python2-fixtures
BuildRequires:  python2-mock
BuildRequires:  python2-testrepository
BuildRequires:  python2-testtools
BuildRequires:  python2-cliff
BuildRequires:  python2-ironicclient
BuildRequires:  python-ironic-inspector-client
BuildRequires:  python2-heatclient
BuildRequires:  python2-mistralclient
BuildRequires:  python2-openstackclient
BuildRequires:  python2-oslo-config
BuildRequires:  python-websocket-client
BuildRequires:  python2-zaqarclient
BuildRequires:  PyYAML
BuildRequires:  python2-passlib
BuildRequires:  openstack-tripleo-common
BuildRequires:  python2-osc-lib-tests
BuildRequires:  python-requests-mock
BuildRequires:  git
BuildRequires:  instack-undercloud
BuildRequires:  openstack-macros

Requires:       instack
Requires:       instack-undercloud
Requires:       openstack-selinux
Requires:       python2-babel >= 2.3.4
Requires:       python2-cliff
Requires:       python-ipaddress
Requires:       python-ironic-inspector-client >= 1.5.0
Requires:       python2-ironicclient >= 2.2.0
Requires:       python2-heatclient >= 1.10.0
Requires:       python2-mistralclient >= 3.1.0
Requires:       python2-openstackclient >= 3.12.0
Requires:       python2-osc-lib >= 1.8.0
Requires:       python2-pbr
Requires:       python2-psutil
Requires:       python-websocket-client
Requires:       python2-passlib
Requires:       python-simplejson >= 3.5.1
Requires:       python2-six
Requires:       sos
Requires:       openstack-tripleo-common >= 7.1.0
Requires:       python2-zaqarclient >= 1.0.0
Requires:       python2-cryptography >= 1.7.2

Obsoletes: python-rdomanager-oscplugin < 0.0.11
Provides: python-rdomanager-oscplugin = %{version}-%{release}

%description
python-tripleoclient is a Python plugin to OpenstackClient
for TripleO <https://github.com/openstack/python-tripleoclient>.

# Not supported by OSP yet
%package heat-installer
Summary:        Components required for a containerized undercloud

# Required for containerized undercloud
Requires:       docker
Requires:       docker-distribution
Requires:       python-ipaddr
Requires:       openvswitch
Requires:       openstack-heat-agents
Requires:       openstack-heat-api
Requires:       openstack-heat-engine
# required as we now use --heat-native
Requires:       openstack-heat-monolith
Requires:       openstack-tripleo-heat-templates
Requires:       puppet-tripleo

%description heat-installer
python-tripleoclient-heat-installer is a sub-package that contains all dependencies to
deploy a containerized undercloud with tripleo client.

%prep
%autosetup -n %{name}-%{upstream_version} -S git
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{__python2} setup.py build
PYTHONPATH=. oslo-config-generator --config-file=config-generator/undercloud.conf

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
install -p -D -m 640 undercloud.conf.sample  %{buildroot}/%{_datadir}/%{name}/undercloud.conf.sample

%check
PYTHONPATH=. %{__python2} setup.py testr ||

%files
%{_datadir}/%{name}
%{python2_sitelib}/tripleoclient*
%{python2_sitelib}/python_tripleoclient*
%doc LICENSE README.rst

%files heat-installer

%changelog
* Tue May 29 2018 Alex Schultz <aschultz@redhat.com> 9.2.1-12
- Composable role and service fails workflow (rhbz#1577536)

* Thu May 24 2018 Sergii Golovatiuk <sgolovat@redhat.com> 9.2.1-11
- Refactor, fix ansible inventory method parameters for ffwd-upgrade run (rhbz#1576079)

* Fri May 18 2018 mandreou <marios@redhat.com> 9.2.1-10
- Add .deployment.v1.deploy_on_servers to ffwd-upgrade prepare (rhbz#1561255)
- Update Heat stack on update/upgrade/ffwd converge (rhbz#1573922 rhbz#1576480 rhbz#1576482)
- Add ssh-user to get_tripleo_ansible_inventory (rhbz#1576079)

* Thu May 10 2018 Sergii Golovatiuk <sgolovat@redhat.com> 9.2.1-9
- Update Heat stack on update/upgrade/ffwd converge (rhbz#1573922 rhbz#1576480 rhbz#1576482)

* Wed May 09 2018 Carlos Camacho <ccamacho@redhat.com> 9.2.1-8
- Add ssh-user to get_tripleo_ansible_inventory (rhbz#1576079)

* Wed May 09 2018 Carlos Camacho <ccamacho@redhat.com> 9.2.1-7
- Regenerate overcloudrc on upgrade and ffwd-upgrade (prepare) (rhbz#1573026)

* Wed May 09 2018 Jon Schlueter <jschluet@redhat.com> 9.2.1-6
- Stop trying to converge during Ceph upgrade command (rhbz#1571901)

* Mon May 07 2018 Carlos Camacho <ccamacho@redhat.com> 9.2.1-5
- Add --stack to update, upgrade and ffwd-upgrade 'run' CLI. (rhbz#1571805)

* Sat May 05 2018 Carlos Camacho <ccamacho@redhat.com> 9.2.1-4
- Add warning + required confirm for ffwd-upgrade cli --yes to skip (rhbz#1563373)
- Q upgrade - fixup completion messages and --help doctext (rhbz#1568714)
- Use only update/upgrade ansible queue instead (rhbz#1568714)

* Wed Apr 25 2018 Jason Joyce <jjoyce@redhat.com> 9.2.1-3
- [DOWNSTREAM-ONLY]Always include docker environment files in prepare command (rhbz#1500528 rhbz#1500529 rhbz#1500531 rhbz#1535971 rhbz#1535614)
- setup.cfg whitespace changes

* Wed Apr 25 2018 Jon Schlueter <jschluet@redhat.com> 9.2.1-2
- Introduce Ceph upgrade command (rhbz#1562209 rhbz#1569012 rhbz#1568986)

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 9.2.1-1
- Update to 9.2.1

* Fri Apr 20 2018 Jon Schlueter <jschluet@redhat.com> 9.2.0-5
- Update prepare using an environment file (rhbz#1568362)
- Add upgrade-[prepare|converge].yaml into upgrade cli (rhbz#1568367)

* Tue Apr 17 2018 Jon Schlueter <jschluet@redhat.com> 9.2.0-4
- Stop persisting previous configuration on update/upgrade prepare (rhbz#1541024)

* Thu Apr 12 2018 Jon Schlueter <jschluet@redhat.com> 9.2.0-3
- Allow providing --ssh-user for update/upgrade run commands
- Generate inventory with tripleo-admin user

* Wed Mar 28 2018 Jon Schlueter <jschluet@redhat.com> 9.2.0-2
- Pass plan/stack name into config_download workflow

* Tue Mar 27 2018 Jon Schlueter <jschluet@redhat.com> 9.2.0-1
- Update to 9.2.0

* Thu Mar 08 2018 RDO <dev@lists.rdoproject.org> 9.1.0-1
- Update to 9.1.0
